{
	"artifacts" : 
	[
		{
			"path" : "controller/libctrl_algo.so"
		}
	],
	"backtrace" : 1,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_library",
			"add_compile_definitions",
			"project",
			"include_directories",
			"target_include_directories"
		],
		"files" : 
		[
			"controller/CMakeLists.txt",
			".qtcreator/cmake-helper/qtcreator-project.cmake",
			"CMakeLists.txt"
		],
		"nodes" : 
		[
			{
				"file" : 0
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 6,
				"parent" : 0
			},
			{
				"file" : 2
			},
			{
				"command" : 2,
				"file" : 2,
				"line" : 2,
				"parent" : 2
			},
			{
				"file" : 1,
				"parent" : 3
			},
			{
				"command" : 1,
				"file" : 1,
				"line" : 81,
				"parent" : 4
			},
			{
				"command" : 3,
				"file" : 2,
				"line" : 15,
				"parent" : 2
			},
			{
				"command" : 3,
				"file" : 2,
				"line" : 18,
				"parent" : 2
			},
			{
				"command" : 3,
				"file" : 0,
				"line" : 2,
				"parent" : 0
			},
			{
				"command" : 4,
				"file" : 0,
				"line" : 12,
				"parent" : 0
			}
		]
	},
	"codemodelVersion" : 
	{
		"major" : 2,
		"minor" : 10
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-g -std=gnu++17 -fPIC -fdiagnostics-color=always"
				}
			],
			"defines" : 
			[
				{
					"backtrace" : 5,
					"define" : "QT_QML_DEBUG"
				},
				{
					"define" : "ctrl_algo_EXPORTS"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 6,
					"path" : "/home/k4/tmp/bbr-algo/BinderBeispielRegler/app"
				},
				{
					"backtrace" : 7,
					"path" : "/home/k4/tmp/bbr-algo/BinderBeispielRegler/controller"
				},
				{
					"backtrace" : 8,
					"path" : "/home/k4/tmp/bbr-algo/BinderBeispielRegler/controller/."
				},
				{
					"backtrace" : 9,
					"path" : "/home/k4/tmp/bbr-algo/BinderBeispielRegler/controller/include"
				}
			],
			"language" : "CXX",
			"languageStandard" : 
			{
				"backtraces" : 
				[
					1
				],
				"standard" : "17"
			},
			"sourceIndexes" : 
			[
				0
			]
		}
	],
	"id" : "ctrl_algo::@b89a50b1d9b6a3589dde",
	"link" : 
	{
		"commandFragments" : 
		[
			{
				"fragment" : "-shared",
				"role" : "flags"
			}
		],
		"language" : "CXX"
	},
	"name" : "ctrl_algo",
	"nameOnDisk" : "libctrl_algo.so",
	"paths" : 
	{
		"build" : "controller",
		"source" : "controller"
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				0
			]
		},
		{
			"name" : "Header Files",
			"sourceIndexes" : 
			[
				1
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "controller/Controller.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"path" : "controller/Controller.h",
			"sourceGroupIndex" : 1
		}
	],
	"type" : "SHARED_LIBRARY"
}
